Subject: Re: bash shell question
From: [email-masked] (Earnie Boyd)

25 Nov 1997 10:07:17 -0800
Message-ID: <[email-masked]>
Content-Type: text/plain
To: [email-masked]
Cc: [email-masked]

>From: Michael Zawacki <[email-masked]>
>To: "[email-masked]'" <[email-masked]>
>Subject: bash shell question
>Date: Sun, 23 Nov 1997 22:57:05 -0500
>
>Hi all,
>
>	I am trying to write a script that will take a list of executables and 
make links to them in a directory.  I'm doing this to keep my bash PATH 
var. small while enabling me to call most of my programs from the shell.  
Anyways, I'm running into problems when the filename include a path with 
a space in it, such as "Program Files".  I tried putting quotes around 
the path but the script still screws up the statement.  One way around 
this is to use the 8 character length names.  Is there a way to force 
find and ls to output the small filenames? Or is there another way to 
get the script working?
>
>Thanks,
>
>Michael Zawacki
>
>EXAMPLE FILE:
>
>
>/lotus/smartctr/smartctr.exe
>/lotus/smartctr/suitest.exe
>/lotus/wordpro/wordpro.exe
>/"Program Files"/cygnus/H-i386-cygwin32/bin/ar.exe
>/"Program Files"/cygnus/H-i386-cygwin32/bin/as.exe

change to:
/Program\ Files/cygnus/H-i386-cygwin32/bin/as.exe

>

-        \\||//
---o0O0--Earnie--0O0o----
[email-masked]
------ooo0O--O0ooo-------

______________________________________________________
Get Your Private, Free Email at http://www.hotmail.com
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".